curl --request POST \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/{lessonPlanId}/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation": {
"type": "<string>",
"payload": {
"target": {
"type": "component",
"id": "<string>"
},
"value": true
}
},
"reason": "<string>"
}
'{
"success": true,
"message": "<string>",
"operationId": "<string>"
}Purpose: Store a new operation in the lesson plan’s operation log
When to use:
Available Operations:
set-skipped: Show/hide content for the student
move-item-before/after: Reorder content relative to other items
move-item-to-start/end: Move to beginning/end of parent
add-custom-resource: Add additional resources in the lesson plan
change-item-parent: Move content to different sections (components) in the lesson plan
curl --request POST \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/{lessonPlanId}/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation": {
"type": "<string>",
"payload": {
"target": {
"type": "component",
"id": "<string>"
},
"value": true
}
},
"reason": "<string>"
}
'{
"success": true,
"message": "<string>",
"operationId": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Lesson plan ID
Set the skipped attribute of a lesson plan item, effectively changing it's visibility for the student
Show child attributes
The reason for the operation